8

Installing VMware Player for 64-bit Ubuntu 12.04 LTS:

https://www.vmware.com/go/downloadplayer

I get these errors:

$ sudo sh VMware-Player-6.0.0-1295980.x86_64.bundle
Extracting VMware Installer...done.
(vmware-installer.py:8805): Gtk-WARNING **:
Unable to locate theme engine in module_path: "murrine"
Gtk-Message: Failed to load module "canberra-gtk-module":
libcanberra-gtk-module.so: cannot open shared object file:
No such file or directory

I have tried:

sudo apt-get install --reinstall gtk2-engines
sudo apt-get install gtk-murrine-engine
sudo apt-get install gtk2-murrine-engine
sudo apt-get install gtk2-murrine-engine:i386

Has anyone fixed this?

  • 1
    I'm seeing the same problem. "Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory" – jjwdesign Jan 7 '14 at 0:02
  • I am having the same problem as well, i tried linking /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/libcanberra-gtk-module.so -> /usr/lib/libcanberra-gtk-module.so, and that got rid of canberra error, but still cant find murrine – Rorschach Feb 27 '14 at 7:38
  • sudo apt-get install libgtkmm-* This solved the problem for me:) – user254549 Apr 5 '14 at 15:59
3

The libcanberra errors seems to be resolvable using a symbolic link as follows:

sudo ln -s /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/libcanberra-gtk-module.so /usr/lib/libcanberra-gtk-module.so

Also, you'll need the build-essential, open-vm-tools and open-vm-toolbox packages, install them using:

 sudo apt-get install build-essential open-vm-tools open-vm-toolbox

(Source)

|improve this answer|||||
1

Install libgtkmm-2.4-1c2a solved my problem. I am running 12.04.4.

|improve this answer|||||

Not the answer you're looking for? Browse other questions tagged or ask your own question.